<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
	"https://hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    
    <query name="isActiveNotificationByUser">
    <![CDATA[
        SELECT stop
        FROM StopNotification stop
        WHERE 
            stop.user = :user AND
            stop.notificationType = 'SERVICE_ORDER'
    ]]>
    </query>
    
    <query name="getAllStopNotification">
    <![CDATA[
        SELECT stop
        FROM StopNotification stop
    ]]>
    </query>
    
</hibernate-mapping>